gd_verbose_prefix(3)

NAME
gd_verbose_prefix — set the prefix on error messages printed by GetData

SYNOPSIS
#include <getdata.h>

int gd_verbose_prefix(DIRFILE *dirfile, const char *prefix);

DESCRIPTION
The sets the prefix printed before error messages output by the GetData library for the dirfile(5) database specified by If is NULL, the current prefix (if any) is deleted and no new prefix is saved.

GetData only prints error messages for a given Dirfile if opened along with the GD_VERBOSE flag, or if the flag has been subsequently set on the dirfile using If this flag is not set, this function still updates the prefix, but GetData does not use it.

If GD_VERBOSE is set, when the library encounters an error, it prints the supplied prefix (if any), followed immediately by the error message (which is the message returned by followed by a newline. All output goes to the caller's standard error (stderr(3)).

The argument must point to a valid DIRFILE object previously created by a call to

RETURN VALUE
Upon successful completion, returns zero. On error, it returns a negative-valued error code. Possible error codes are: The library was unable to allocate memory.

The error code is also stored in the DIRFILE object and may be retrieved after this function returns by calling A descriptive error string for the error may be obtained by calling

HISTORY
The function appared in GetData-0.8.0.

In GetData-0.10.0, the error return from this function changed from -1 to a negative-valued error code.

SEE ALSO
dirfile(5)